﻿local topid,topid2,leftid,leftid2,rightid,rightid2
local width, height = SpellActivationOverlayFrame:GetSize(),SpellActivationOverlayFrame:GetSize()/2

local toptext = CreateFrame("Cooldown","toptext",SpellActivationOverlayFrame)
toptext:SetSize(width, height)
toptext:SetPoint("BOTTOM",SpellActivationOverlayFrame,"TOP",0,0)
toptext:GetRegions():SetFont(STANDARD_TEXT_FONT, 30, "OUTLINE")

local toptext2 = CreateFrame("Cooldown","toptext2",SpellActivationOverlayFrame)
toptext2:SetSize(width, height)
toptext2:SetPoint("BOTTOM",SpellActivationOverlayFrame,"TOP",0,0)
toptext2:GetRegions():SetFont(STANDARD_TEXT_FONT, 30, "OUTLINE")

local lefttext = CreateFrame("Cooldown","lefttext",SpellActivationOverlayFrame)
lefttext:SetSize(height, width)
lefttext:SetPoint("RIGHT",SpellActivationOverlayFrame,"LEFT",-10,0)
lefttext:GetRegions():SetFont(STANDARD_TEXT_FONT, 30, "OUTLINE")

local lefttext2 = CreateFrame("Cooldown","lefttext2",SpellActivationOverlayFrame)
lefttext2:SetSize(height, width)
lefttext2:SetPoint("RIGHT",SpellActivationOverlayFrame,"LEFT",-10,0)
lefttext2:GetRegions():SetFont(STANDARD_TEXT_FONT, 55, "OUTLINE")

local rightext = CreateFrame("Cooldown","righttext",SpellActivationOverlayFrame)
righttext:SetSize(height, width)
righttext:SetPoint("LEFT",SpellActivationOverlayFrame,"RIGHT",10,0)
righttext:GetRegions():SetFont(STANDARD_TEXT_FONT, 30, "OUTLINE")

local righttext2 = CreateFrame("Cooldown","righttext2",SpellActivationOverlayFrame)
righttext2:SetSize(height, width)
righttext2:SetPoint("LEFT",SpellActivationOverlayFrame,"RIGHT",10,0)
righttext2:GetRegions():SetFont(STANDARD_TEXT_FONT, 55, "OUTLINE")

hooksecurefunc("SpellActivationOverlay_ShowAllOverlays", function(self, spellID, texture, positions, scale, r, g, b)
if AddUIDB.jbtext ~= true then return end
local _,_,_,_,duration,expirationTime = GetPlayerAuraBySpellID(spellID)
if not duration or not expirationTime then return end
if positions == "Top" and scale >= 1 then
toptext:SetCooldown(expirationTime-duration,duration)
toptext:SetScale(scale)
topid = spellID
end
if positions == "Top" and scale < 1 then
toptext2:SetCooldown(expirationTime-duration,duration)
toptext2:SetScale(scale)
topid2 = spellID
end
if (positions == "Left" or positions == "Left + Right (Flipped)") and scale >= 1 then
lefttext:SetCooldown(expirationTime-duration,duration)
lefttext:SetScale(scale)
leftid = spellID
end
if (positions == "Left" or positions == "Left + Right (Flipped)") and scale < 1 then
lefttext2:SetCooldown(expirationTime-duration,duration)
lefttext2:SetScale(scale)
leftid2 = spellID
end
if (positions == "Right (Flipped)" or positions == "Left + Right (Flipped)") and scale >= 1 then
righttext:SetCooldown(expirationTime-duration,duration)
righttext:SetScale(scale)
rightid = spellID
end
if (positions == "Right (Flipped)" or positions == "Left + Right (Flipped)") and scale < 1 then
righttext2:SetCooldown(expirationTime-duration,duration)
righttext2:SetScale(scale)
rightid2 = spellID
end
end)

hooksecurefunc("SpellActivationOverlay_HideOverlays", function(self, spellID)
if AddUIDB.jbtext ~= true then return end
if spellID == topid then
toptext:SetCooldown(0,0)
end
if spellID == topid2 then
toptext2:SetCooldown(0,0)
end
if spellID == leftid then
lefttext:SetCooldown(0,0)
end
if spellID == leftid2 then
lefttext2:SetCooldown(0,0)
end
if spellID == rightid then
righttext:SetCooldown(0,0)
end
if spellID == rightid2 then
righttext2:SetCooldown(0,0)
end
end)